<?php
if (!defined("_VALID_ACCESS_") || _VALID_ACCESS_ !=1) {
	die("Foot Bokra");
}
switch($action) {
/**********************************************************************************************
- Banners - Banners - Banners - Banners - Banners - Banners - Banners - Banners - Banners - 
**********************************************************************************************/	
case "addBans" :

$addB = $_POST['addB'];
$name = $_POST['name'];
$link = $_POST['link'];
$type = $_POST['type'];

  if( isset($addB) && $addB == "1" && !empty($name)  && !empty($link) 
      && !empty($_FILES['fileup']['name']) && !empty($type) ) 
    {
    
       ###- Random code for name -###
      $rand =new random("n",6);
      $code= $rand->salt;
      ###- Random code for name -###
      
      /* Config upload */
      $thumb= "F";
      $twidth= "100";
      $theight="100" ;
      /* Config Upload */
      
      /* Uploading */
      $Upload = new upload($code,$exts,$maxs,$Bpath,$Btruepath,$thumb,$twidth,$theight);
      $okup = $Upload->up;
      $error= $Upload->error;
      $ext=   $Upload->ext;
      $photo=$code.$ext;
      /* Uploading */
      
      if($okup == "T" ) {
      $query = "INSERT INTO `banners` ( `name` , `link` , `photo`, `type`  )
                             Values ( '$name', '$link', '$photo', '$type' ) ";
      $mysqlQuery->mysqlQueryUpdate($query);
    
      $main .="تم إضافة الاعلان".refresh("addBans");
      
      }else {
      $main .= "<br> <br> خطا فى رفع الملف <br>".refresh("addBans");
      }


    
    }
    else
    {
   $main .=" <form action='./admin.php?action=addBans' method='POST' enctype='multipart/form-data'>
    <input type='hidden' name='addB' value='1'></input>  
    <table width='50%' align='center' class='content' border='0' cellpadding='2'>
      <tr align='center'>
      <td colspan='2'> <h3> إضافة اعلان بالموقع </h3></td>
      </tr>
      <tr align='right'>
        <td width='50%'> اسم الموقع </td>
        <td width='50%' align='right'><input type='text' name='name'></input></td>
      </tr>
      <tr align='right'>
        <td width='50%'> رابط الموقع </td>
        <td width='50%' align='right'><input type='text' name='link'></input></td>
      </tr>
      <tr align='right'>
        <td width='50%'> نوع الاعلان </td>
        <td width='50%' align='right'>
          <select name='type'>
          <option value='' > النوع </option>
          <option value='1' > الاول - الرئيسي بالعرض في الهيدر </option>
          </select>
        </td>
      </tr>
      <tr align='right'>
        <td width='50%'> صورة الاعلان </td>
        <td width='50%' align='right'><input type='file' name='fileup' size='30' ></input></td>
      </tr>
      <tr>
        <td colspan='2'>&nbsp;</td>
      </tr>
      <tr>
        <td colspan='2' align='center'><input type='submit' value='&nbsp; تـنـفـيـذ &nbsp;'></td>
      </tr>
        </table></form>";
    }

break;

/**********************************************************************************************/

case "editBans" :

$op = addslashes($_GET['op']);
$Bid= intval($_GET['Bid']);

if( isset($op) && ( $op == "edit" || $op == "delete" ) && isset($Bid) )
  {
    if( $op == "delete" )
      {
			
			$query="SELECT `photo` FROM `banners` WHERE `id` = '$Bid'";
			$mysqlQuery->mysqlQuery($query);
			$path="../images/banners/";

				list($photo)=$mysqlQuery->result;

				if (!empty($photo)) {
				
					if (file_exists($path.$photo)) {
						unlink($path.$photo);
					}
				}
				
        $query = "DELETE From `banners` wHERE `id` = '$Bid'";
        $mysqlQuery->mysqlQueryUpdate($query);
        
        
        $main .= " تم حذف الاعلان ".refresh("editBans");
      }
      else
      {      
      $editB = $_POST['editB'];
      $name = $_POST['name'];
      $link = $_POST['link'];

      if( isset($editB) && $editB == "1" && !empty($name)  && !empty($link) ) 
      {
        $query = "Update `banners` SET `name` = '$name' , `link` = '$link'  WHERE `id` = '$Bid' ";
        $mysqlQuery->mysqlQueryUpdate($query);
    
        $main .="تم تعديل بيانات الموقع¹".refresh("editBans");
      }
      else
      {
        $query = "SELECT `id`, `name`, `link` From `banners` where `id` = '$Bid' LIMIT 1";
        $mysqlQuery->mysqlQuery($query);
        list($baid, $name, $link) = $mysqlQuery->result;
      
        $main .=" <form action='./admin.php?action=editBans&op=edit&Bid=$baid' method='POST'>
          <input type='hidden' name='editB' value='1'></input>  
        <table width='50%' align='center' class='content' border='0' cellpadding='2'>
          <tr align='center'>
            <td colspan='2'> <h3> تعديل بيانات اعلان </h3></td>
          </tr>
          <tr align='right'>
            <td width='50%'> اسم الموقع </td>
            <td width='50%' align='right'><input type='text' name='name' value='$name'></input></td>
          </tr>
          <tr align='right'>
            <td width='50%'> رابط الموقع </td>
            <td width='50%' align='right'><input type='text' name='link' value='$link'></input></td>
          </tr>
          <tr>
            <td colspan='2'>&nbsp;</td>
          </tr>
          <tr>
            <td colspan='2' align='center'><input type='submit' value='&nbsp; تـنـفـيـذ &nbsp;'></td>
          </tr>
        </table></form>";
    }

      
      
      }
  }
  else
  {
  

        $query="SELECT `id`, `name`, `link`, `photo` FROM `banners` ";
        
				$mysqlQuery->mysqlQueryWOF($query);

				if ($mysqlQuery->resultNoRows==0) {
					$main .= "لا يوجد اعلانات حتي الان";
         
				}

				else{
					$main .= "<br />الإعلانات : <br /><br />";
          $counter = 1  ;
					$main .= "<table width='100%' align='center' class='content' border='0' 
                      bordercolor='#444444' cellpadding='5'>";
					$main .="<tr style= 'color: #FFFF00'>
                <td class='title' width='5%' > * </td>
                <td class='title' width='20%'  align='right'> اسم ورابط الاعلان </td>
                <td class='title' width='15%'  > مشاهدة رابط الإعلان </td>
                <td class='title' width='15%'> تعديل الإعلان </td>
                <td class='title' width='15%'> حذف الإعلان </td></tr>
                <tr> <td colspan='5'>&nbsp; </td></tr>
                ";
					
					while (list($Bid,$name,$link,$photo) = mysql_fetch_array($mysqlQuery->result)) {
					list($width,$height) = getimagesize("../images/banners/$photo");
						
						$main .="<tr>
                <td class='content' width='5%'>$counter</td>
                <td class='title' width='40%' align='right'>
                <a href='$link' target='_blank' >$name </a>
                  <div id='Ban$counter' align='left' class='balloonstyle' style='width:".$width."px;'>
                  <img src='../images/banners/$photo' 
                    style='float: right; margin-left: 5px; border:1px solid black' />
                  </div>
                </td>
                <td class='content' width='15%'>
                  <a href='$link' target='_blank' rel='Ban$counter' > مشاهدة </a></td>
                <td class='content' width='15%'>
                  <a href='./admin.php?action=editBans&op=edit&Bid=$Bid'>تعديل</a></td>
                <td class='content' width='15%'>
                  <a href='./admin.php?action=editBans&op=delete&Bid=$Bid'>حذف</a></td></tr>";
						$counter++;
					}


					$main .= "</table>";
    
        }
  
  }

break;
}
?>